package com.alterdekim.game.service;

import com.alterdekim.flash.decompiler.mapper.OutputObjectCallback;
import com.alterdekim.game.entity.PriceExchange;
import com.alterdekim.game.repository.PriceExchangeRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class PriceExchangeService implements OutputObjectCallback {
    @Autowired
    private PriceExchangeRepository repository;

    @Override
    public void onOutputObjectReady(Object o) {
        this.repository.save((PriceExchange) o);
    }
}
